<form class="{{cssClass}} actor-sheet" autocomplete="off">
    <section class="actor-sheet__data">
        {{> "systems/hack-the-planet/templates/sheets/parts/character_data.hbs" }}
        <div class="stress-trauma">
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.Stress' id='character-stress'
                    max=system.stress.max stat='system.stress.current' cancelable=true
                    value=system.stress.current disabled-boxes=cybernetics_stress }}
            <div class="character-track">
                <h4>{{localize 'HTP.CyberneticsStress' }}: {{cybernetics_stress}}</h4>
            </div>
        </div>
        <div class="stress-trauma">
            {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.Trauma' id='character-trauma'
                    max=system.trauma.max stat='system.trauma.current'
                    value=system.trauma.current disabled=true}}
            <div class="trauma-list character-track">
                <h4>&nbsp;</h4>
                {{#each traumaList}}
                    <span class="trauma {{#if (lookup ../system.trauma.list @key)}}active{{/if}}"
                          data-trauma="{{ @key }}">{{localize this}}</span>
                    {{#unless @last}} - {{/unless}}
                {{/each}}
            </div>
        </div>
        <div class="character-harm">
            <div class="harm">
                <h3>{{localize "HTP.Harm"}}</h3>
                <table>
                    <tr>
                        <th>3</th>
                        <td colspan="2">
                            <input type="text" name="system.harm.heavy.one" value="{{system.harm.heavy.one}}"
                                   placeholder="{{localize 'HTP.HarmSevere'}}">
                        </td>
                        <th>{{localize "HTP.NeedHelp"}}</th>
                    </tr>
                    <tr>
                        <th>2</th>
                        <td>
                            <input type="text" name="system.harm.medium.one" value="{{system.harm.medium.one}}"
                                   placeholder="{{localize 'HTP.HarmModerate'}}">
                        </td>
                        <td>
                            <input type="text" name="system.harm.medium.two" value="{{system.harm.medium.two}}"
                                   placeholder="{{localize 'HTP.HarmModerate'}}">
                        </td>
                        <th>-1D</th>
                    </tr>
                    <tr>
                        <th>1</th>
                        <td>
                            <input type="text" name="system.harm.light.one" value="{{system.harm.light.one}}"
                                   placeholder="{{localize 'HTP.HarmLesser'}}">
                        </td>
                        <td>
                            <input type="text" name="system.harm.light.two" value="{{system.harm.light.two}}"
                                   placeholder="{{localize 'HTP.HarmLesser'}}">
                        </td>
                        <th>{{localize "HTP.LessEffect"}}</th>
                    </tr>
                </table>
            </div>
            <div class="healing-protection">
                <h3 class="rollable-text roll-die-attribute" data-roll-attribute="heal">{{localize 'HTP.Healing'}} <i
                        class="fas fa-dice-d6"></i></h3>
                <div class="healing-clock">
                    {{> "systems/hack-the-planet/templates/parts/clocks/clock.hbs" segments=4 value=system.healingClock parameter="system.healingClock" }}
                </div>
                <h3>{{localize "HTP.Armor"}}</h3>
                <div class="character-armor-uses">
                    <div>
                        <label>{{localize "HTP.ArmorLight"}}
                            <input type="checkbox" name="system.armorUses.armor" {{checked system.armorUses.armor}}>
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div>
                        <label>{{localize "HTP.ArmorHeavy"}}
                            <input type="checkbox" name="system.armorUses.heavy" {{checked system.armorUses.heavy}}>
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div>
                        <label>{{localize "HTP.ArmorSpecial"}}
                            <input type="checkbox" name="system.armorUses.special" {{checked system.armorUses.special}}>
                            <span class="checkmark"></span>
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div class="character-joules">
            {{> "systems/hack-the-planet/templates/sheets/parts/joules.hbs" actor=actor}}
        </div>
    </section>
    <section class="actor-sheet__playbook">
        <div class="header">
            {{#if playbook}}
                <h1>{{playbook.name}}</h1>
                <h2>{{playbook.system.tagline}}</h2>
            {{/if}}
        </div>
        <nav class="tabs">
            <a data-tab="abilities">{{localize 'HTP.Abilities'}}</a>
            <a data-tab="loadout">{{localize 'HTP.Loadout'}} [{{system.loadout}}/{{max_loadout}}]</a>
            <a data-tab="friends">{{localize 'HTP.Friends'}}</a>
            <a data-tab="xp">XP</a>
            <a data-tab="clocks">{{localize 'HTP.Clocks'}}</a>
        </nav>
        <div class="tab-content">
            <div class="abilities tab" data-tab="abilities">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/abilites.hbs' }}
            </div>
            <div class="loadout tab" data-tab="loadout">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/loadout.hbs' }}
            </div>
            <div class="friends tab" data-tab="friends">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/friends.hbs' }}
            </div>
            <div class="experience tab" data-tab="xp">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/experience.hbs' }}
            </div>
            <div class="clocks tab" data-tab="clocks">
                {{> 'systems/hack-the-planet/templates/sheets/tabs/clocks.hbs' }}
            </div>
        </div>
    </section>
    <section class="actor-sheet__stats">
        {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.Playbook' id='character-playbook-experience'
                max=system.experience.playbook.max stat='system.experience.playbook.current' cancelable=true
                value=system.experience.playbook.current }}
        {{> "systems/hack-the-planet/templates/parts/track.hbs" title='HTP.Stress' id='character-stress-experience'
                max=system.experience.stress.max stat='system.experience.stress.current' cancelable=true
                value=system.experience.stress.current }}
        {{> "systems/hack-the-planet/templates/sheets/parts/attributes.hbs" actor=actor}}

    </section>
</form>
